# id.autonomic.zone

Custom theme for Keycloak.

## Customisations

* `./hacktheplanet/login/resources/img/bg.png` is the new background image (`.login-pf` in `login.css`)
* the logo / text above the login box is now `display: none`

## Deploy

```
abra app run id.autonomic.zone app mkdir -p /opt/keycloak/themes/hacktheplanet
abra app cp id.autonomic.zone hacktheplanet app:/opt/keycloak/themes/hacktheplanet
```

## Hacking

```
make
```

Then visit [localhost](http://localhost:8080).

* admin username: `admin`
* admin password: `password`

Go to `Realm Settings > Themes`. Choose a custom login theme via `Login Theme >
hacktheplanet` and click `Save`. Sign out and you'll be redirected to the login
page. Now, test you can make an edit and it is reflected on reload.
